Public Member Functions | Public Attributes | List of all members
libcdr::WaldoRecordInfo Struct Reference

`#include <CDRTypes.h>`

## Public Member Functions
| WaldoRecordInfo (unsigned char t, unsigned i, unsigned o)
| WaldoRecordInfo ()

## Public Attributes
unsigned char | type
unsigned | id
unsigned | offset

## Constructor & Destructor Documentation

## ◆ WaldoRecordInfo() [1/2]

libcdr::WaldoRecordInfo::WaldoRecordInfo | ( | unsigned char | t,
|  | unsigned | i,
|  | unsigned | o
| ) |  |
| inline

## ◆ WaldoRecordInfo() [2/2]

libcdr::WaldoRecordInfo::WaldoRecordInfo | ( |  | ) |
| inline

## Member Data Documentation

## ◆ id

unsigned libcdr::WaldoRecordInfo::id

Referenced by libcdr::CDRParser::readWaldoRecord().

## ◆ offset

unsigned libcdr::WaldoRecordInfo::offset

Referenced by libcdr::CDRParser::readWaldoRecord().

## ◆ type

unsigned char libcdr::WaldoRecordInfo::type

Referenced by libcdr::CDRParser::readWaldoRecord().

The documentation for this struct was generated from the following file:

- CDRTypes.h